Bug 732783 - After updating fc14 to fc15 with preupgrade usb 3.0 stopped working (I've already remove the kernel parameter xhci.enable=1 (or xhci_hcd.enable=1) and removed the file /etc/pm/config.d/xhci)
Summary: After updating fc14 to fc15 with preupgrade usb 3.0 stopped working (I've alr...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-23 15:14 UTC by tono_17
Modified: 2012-06-06 19:02 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 738783 (view as bug list)
Environment:
Last Closed: 2012-06-06 19:02:17 UTC


Attachments (Terms of Use)

Description tono_17 2011-08-23 15:14:35 UTC
Description of problem:
My usb 3.0 ports stopped working after I upgraded from fc14 to fc15 with preupgrade. My usb mouse, my usb keyboard and my usb memory are not working anymore.

When I installed fc14 I had to pass the kernel the parameter xhci.enable=1 and added the file /etc/pm/config.d/xhci in order to get my usb 3.0 working. Now that I've upgraded I removed the kernel parameter and removed the file but the usb 3.0 ports are not working anymore.

The strangest thing is that when I plug my mouse or keyboard and do a "lsusb", none of the appear listed.

Version-Release number of selected component (if applicable):
2.6.40.3-0.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Plug in any usb device on any of the usb 3.0 ports
2.
3.
  
Actual results:
The usb device plugged on the usb 3.0 ports does not work.

Expected results:
The usb device plugged on the usb 3.0 should work.

Additional info:

Comment 1 markus.offenau 2011-09-16 13:55:08 UTC
(In reply to comment #0)
I have the same problem with my usb 3.0 ports after upgrade from fc14 to fc15. I did the same steps as tono did. The only different is the Kernel Version: 2.6.40.4-5.fc15.i686.PAE

Comment 2 Chuck Ebbert 2011-09-19 18:30:47 UTC
Is the driver loading? (Run the 'lsmod' command and look in the output for xhci_hcd.) If not, try loading it.


Note You need to log in before you can comment on or make changes to this bug.